/*
   Copyright (c) 2017 LinkedIn Corp.

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/

package com.linkedin.r2.disruptor;

/**
 * Exception thrown when a request result in an error due to disrupt.
 *
 * @author Sean Sheng
 * @version $Revision$
 */
public class DisruptedException extends Exception
{
  private static final long serialVersionUID = 7183217500705966124L;

  /**
   * Construct a new instance.
   */
  public DisruptedException()
  {
  }

  /**
   * Construct a new instance with specified message.
   *
   * @param message the message to be used for this exception.
   */
  public DisruptedException(String message)
  {
    super(message);
  }

  /**
   * Construct a new instance with specified message and cause.
   *
   * @param message the message to be used for this exception.
   * @param cause the cause to be used for this exception.
   */
  public DisruptedException(String message, Throwable cause)
  {
    super(message, cause);
  }

  /**
   * Construct a new instance with specified cause.
   *
   * @param cause the cause to be used for this exception.
   */
  public DisruptedException(Throwable cause)
  {
    super(cause);
  }
}
